Url.common Class
Access point: ac.url.* Generates URL's based on the applictions routing configuration
Methods
find
-
url -
the
Finds the first matching route from the given URL
Parameters:
-
urlStringthe URL to find a route for.
-
theStringHTTP method. Default value is "get".
make
-
base -
action -
routeParams -
verb -
urlParams
Generates a URL from the given parameters
Parameters:
-
baseStringBase mojit defined at the root level of the Mojito application configuration.
-
actionStringAction reference, concatenated to the base using a period (.) separator.
-
routeParamsObject | Stringused to lookup the route in the routing table. If string is provided, Y.QueryString.parse will be used.
-
verbStringthe HTTP method. Default value is "get".
-
urlParamsObject | Stringadded to the looked up route as query params, this has priority over routeParams. If string is provided, Y.QueryString.parse will be used.
setStore
-
rs
Storing a reference to the store.
Parameters:
-
rsResourceStoreThe resource store instance.
